FilterBinaryNode (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphmatching.filter

## Class FilterBinaryNode

- java.lang.Object
- - org.neo4j.graphmatching.filter.FilterBinaryNode

- All Implemented Interfaces:
    FilterExpression

  Deprecated.

      @Deprecated
      public class FilterBinaryNode
      extends Object
      implements FilterExpression

  Matches two `FilterExpression`s with AND or OR.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterBinaryNode(FilterExpression expression1, boolean trueForAnd, FilterExpression expression2)` Deprecated. Constructs a new binary node which has two expressions, grouped together as one.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FilterExpression` | `getLeftExpression()` Deprecated.
    `FilterExpression` | `getRightExpression()` Deprecated.
    `boolean` | `matches(FilterValueGetter valueGetter)` Deprecated. Matches a value from a `valueGetter` and returns whether or not there was a match.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FilterBinaryNode

          public FilterBinaryNode(FilterExpression expression1,
                          boolean trueForAnd,
                          FilterExpression expression2)

      Deprecated.
      Constructs a new binary node which has two expressions, grouped together as one.
      Parameters:
        `expression1` - the first expression.
        `trueForAnd` - `true` if AND, else OR.
        `expression2` - the second expression.

  - ### Method Detail

    - #### matches

          public boolean matches(FilterValueGetter valueGetter)

      Deprecated.
      Description copied from interface: `FilterExpression`
      Matches a value from a `valueGetter` and returns whether or not there was a match.
      Specified by:
        `matches` in interface `FilterExpression`
      Parameters:
        `valueGetter` - the getter which fetches the value to match.
      Returns:
        whether or not the value from `valueGetter` matches the criterias found in this expression.

    - #### getLeftExpression

          public FilterExpression getLeftExpression()

      Deprecated.
      Returns:
        the first expression of the two.

    - #### getRightExpression

          public FilterExpression getRightExpression()

      Deprecated.
      Returns:
        the second expression of the two.

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.